echo off
cls
echo     MicroHelp Demonstration Installation for Visual Basic
echo.
echo.
if "%1" == "" goto NoPath
if "%2" == "" goto NoPath
echo Ready to install on your hard disk. Press ^C to abort or
pause
echo.
echo Attempting to create \MHDEMOS directory on your hard disk. If this
echo directory already exists, DOS will issue an error message, but you
echo can ignore the message.
echo.
md %1
md %1\MHDEMOS
copy read.me %1\MHDEMOS
echo.
echo.
echo Attempting to create subdirectory(s) for the demo(s) you have
echo selected. If the directory already exists, DOS will issue an 
echo error message, but you can ignore the message.
echo.
if "%2"=="ALL" goto F
if "%2"=="all" goto F
if "%2"=="U" goto U
if "%2"=="u" goto U
if "%2"=="V" goto V
if "%2"=="v" goto V
if "%2"=="C" goto C
if "%2"=="c" goto C
if "%2"=="X" goto X
if "%2"=="x" goto x
if "%2"=="F" goto F
if "%2"=="f" goto F
goto NoPath
:F
md %1\MHDEMOS\CUSCON
CUSCON /e%1\MHDEMOS\CUSCON
if errorlevel 1 goto error
if "%2"=="F" goto Finished
if "%2"=="f" goto Finished
:C
md %1\MHDEMOS\VBCOMM
VBCOMM /e%1\MHDEMOS\VBCOMM
if errorlevel 1 goto error
if "%2"=="C" goto Finished
if "%2"=="c" goto Finished
:V
md %1\MHDEMOS\VBTOOLS
VBTOOLS2 /e%1\MHDEMOS\VBTOOLS
if errorlevel 1 goto error
if "%2"=="V" goto Finished
if "%2"=="v" goto Finished
:X
md %1\MHDEMOS\VBXREF
VBXDEM /e%1\MHDEMOS\VBXREF
if errorlevel 1 goto error
if "%2"=="X" goto Finished
if "%2"=="x" goto Finished
:U
md %1\MHDEMOS\VBMUSCLE
VBMUSCLE /e%1\MHDEMOS\VBMUSCLE
if errorlevel 1 goto error
:Finished
if "%2"=="n" goto VBRUNFINAL
if "%2"=="N" goto VBRUNFINAL
if "%2"=="c" goto VBRUNFINAL
if "%2"=="C" goto VBRUNFINAL
:DLLS
VBT2RT /e%1\MHDEMOS
echo.
echo Please copy the MH??200.VBX files from %1\MHDEMOS 
echo to a directory in your path
echo.
echo               ***** CAUTION *****
echo.
echo If you are already a user of VBTools 2, the MH??200.VBX files
echo are the *RUNTIME* versions. If you have already installed
echo VBTOOLS 2, you can delete the DLL's by issuing the following
echo command from the DOS prompt:
echo.
echo       DEL %1\MHDEMOS\MH??200.VBX
echo.
:VBRUNFINAL
pause
cls
if "%2"=="F" goto CUSCON
if "%2"=="f" goto CUSCON
if "%2"=="X" goto CUSCON
if "%2"=="x" goto CUSCON
if "%2"=="ALL" goto CUSCON
if "%2"=="all" goto CUSCON
GOTO ALLVB
:CUSCON
COMMDLG /e%1\MHDEMOS
if errorlevel 1 goto error
echo.
echo Please be sure to copy VBT200.HLP from the
echo %1\MHDEMOS directory to your Windows directory!
:ALLVB
echo.
echo In order to run the demos for Visual Basic products, your system 
echo must have the file VBRUN100.DLL in your PATH. If you don't already
echo have Visual Basic, you can download VBRUN100.DLL from many BBS's
echo around the country. In addition, the file is available from the
echo following locations:
echo.
echo     CompuServe: GO MSBASIC
echo                 LIB 5
echo                 D VBRUN.ZIP 
echo.
echo     MicroHelp BUG BBS: 
echo                 9600+ baud: (404) 516-1497
echo             300-2400  baud: (404) 516-1397
echo.
echo             From the main menu prompt, type:
echo.
echo                 D VBRUN.ZIP
:Fin2
echo.
echo Installation of the demo(s) is complete! 
goto end
:error
echo                            **** E R R O R ****
echo.
echo     An error occurred during the installation. Most likely, your
echo     hard disk is full. Please correct the problem and run the INSTALL
echo     batch file again.
echo.
goto end
:NoPath
echo.
echo     Insert the demonstration diskette in drive A: and close the
echo     latch. Next, log onto drive A: by typing 'A:' followed by [Enter].
echo.
echo.
echo     Syntax:   INSTALL Drive: Option
echo.
echo     Where 'Drive:' is the drive letter of the hard disk
echo     drive where you wish to install this product.
echo.
echo     See the READ.ME file for installation options.
echo.
:end
